For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETList all refunds on an order
          • POSTCreate a refund adjustment on an order
          • GETGet details of a single refund
          • POSTApply a refund on an return
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Refunds

Get details of a single refund

GET
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/refunds/:refund-id
GET
/api/v2/orders/:order-id/refunds/:refund-id
$curl https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/refunds/109872189273617283 \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "id": "109872189273617283",
3 "cp_refund_number": "REFUND-1234",
4 "refund_lines": [
5 {
6 "feedamp_order_line_id": "109872189273617283",
7 "refund_reason": "customer_cancelled",
8 "refund_line_number": "XX-111-FF-1111",
9 "refund_quantity": 1,
10 "currency": "USD",
11 "item_refund": 1.99,
12 "item_tax_refund": 0.19,
13 "shipping_refund": 2,
14 "shipping_tax_refund": 0.2,
15 "discount_refund": 1,
16 "refund_notes": "Courtesy refund - thank you for your business"
17 }
18 ]
19}
Get the details for the specified refund adjustment on the specifed order
Was this page helpful?
Previous

Create a refund adjustment on an order

Next

Apply a refund on an return

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID
refund-idstringRequired
FeedAMP Refund ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Response

Refund details
idstring
Unique identifier for a record
cp_refund_numberstring
Seller Refund ID. Must be unique for all posted refunds.
refund_lineslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error